<div>
    <div>
      <div class="chart">
        <canvas baseChart
          [data]="pieChartData"
          [chartType]="pieChartType"
          [labels]="pieChartLabels"
          [options]="pieChartOptions"
          [plugins]="pieChartPlugins"
          [colors]="pieChartColors"
          [legend]="pieChartLegend">
        </canvas>
      </div>
    </div>
  </div>
  <div>
    <button mat-button mat-raised-button color="primary" (click)="pieChartLegend=!pieChartLegend">Toggle Legend</button>
    <button mat-button mat-raised-button color="primary" (click)="addSlice()">Add Slice</button>
    <button mat-button mat-raised-button color="primary" (click)="removeSlice()">Remove Slice</button>
    <button mat-button mat-raised-button color="primary" (click)="changeLegendPosition()">Change Legend Position</button>
  </div>